﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.Word;

namespace Word
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Infragistics.Documents.Word.WordDocumentWriter docWriter = WordDocumentWriter.Create(@"C:\TestWordDoc.docx");
            docWriter.StartDocument();

            // Create border properties for Table
   
            // Create table properties
       
            // Create table row properties
            TableRowProperties rowProps = docWriter.CreateTableRowProperties();
            //Make the row a Header
            rowProps.IsHeaderRow = true;
            // Create table cell properties
            TableCellProperties cellProps = docWriter.CreateTableCellProperties();
            cellProps.BackColor = Colors.DarkGray;
            cellProps.TextDirection = TableCellTextDirection.LeftToRightTopToBottom;

            // Begin a table with 2 columns, and apply the table properties
            docWriter.StartTable(2);
            // Begin a Row and apply table row properties
            // This row will be set as the Header row by the row properties
            // HEADER ROW
            docWriter.StartTableRow(rowProps);
            // Cell Value for 1st row 1st column
            // Start a Paragraph and add a text run to the cell
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Header Row1 Col1");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell value for 1st row 2nd column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Header Row1 Col2");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // End the Table Row
            docWriter.EndTableRow();

            // Reset the cell properties, so that the
            // cell properties are different from the header cells.
            cellProps.Reset();
            cellProps.BackColor = Colors.AliceBlue;

            // DATA ROW
            docWriter.StartTableRow();
            // Cell Value for 2nd row 1st column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("A paragraph is a series of sentences that are organized and coherent, and are all related to a single topic. ");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell Value for 2nd row 2nd column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row2 Col2");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            docWriter.EndTableRow();
            // DATA ROW
            docWriter.StartTableRow();
            // Cell Value for 3rd row 1st column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row3 Col1");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell Value for 3rd row 2nd column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row3 Col2");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            docWriter.EndTableRow();
            docWriter.EndTable();


            docWriter.AddEmptyParagraph();


            TableRowProperties rowProps1 = docWriter.CreateTableRowProperties();
            //Make the row a Header
            rowProps.IsHeaderRow = true;
            // Create table cell properties
            TableCellProperties cellProps1 = docWriter.CreateTableCellProperties();
            cellProps1.BackColor = Colors.DarkGray;
            cellProps1.TextDirection = TableCellTextDirection.LeftToRightTopToBottom;

            // Begin a table with 2 columns, and apply the table properties
            docWriter.StartTable(2);
            // Begin a Row and apply table row properties
            // This row will be set as the Header row by the row properties
            // HEADER ROW
            docWriter.StartTableRow(rowProps1);
            // Cell Value for 1st row 1st column
            // Start a Paragraph and add a text run to the cell
            docWriter.StartTableCell(cellProps1);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Header Row1 Col1");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell value for 1st row 2nd column
            docWriter.StartTableCell(cellProps1);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Header Row1 Col2");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // End the Table Row
            docWriter.EndTableRow();

            // Reset the cell properties, so that the
            // cell properties are different from the header cells.
            cellProps1.Reset();
            cellProps1.BackColor = Colors.AliceBlue;

            // DATA ROW
            docWriter.StartTableRow();
            // Cell Value for 2nd row 1st column
            docWriter.StartTableCell(cellProps1);
            docWriter.StartParagraph();
            docWriter.AddTextRun("A paragraph is a series of sentences that are organized and coherent, and are all related to a single topic. ");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell Value for 2nd row 2nd column
            docWriter.StartTableCell(cellProps1);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row2 Col2");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            docWriter.EndTableRow();
            // DATA ROW
            docWriter.StartTableRow();
            // Cell Value for 3rd row 1st column
            docWriter.StartTableCell(cellProps1);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row3 Col1");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell Value for 3rd row 2nd column
            docWriter.StartTableCell(cellProps1);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row3 Col2");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            docWriter.EndTableRow();
            docWriter.EndTable();

            docWriter.EndDocument();
            // Close the WordDocumentWriter instance.
            docWriter.Close();
        }
    }
}
